<!DOCTYPE html>
<html lang="en">

<head>
    <title>Simple Task</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
</head>

<body>
    <form onsubmit="event.preventDefault();" id="myForm">
        <input type="text" autocomplete="off" id="name">
        <button>Submit</button>
    </form>

    <div id="blank-div"></div>

    <script>
        $(document).ready(function() {
            $("button").click(function() {
                var name = $("#name").val();

                $('#blank-div').append(`<div style=" width: 80px;height: 50px;margin: 5px;text-align: center;padding-top: 15px;font-size: '18pt';border: 3px;background-color: green"><input class="cbox" type="checkbox" /> <br>${name}</div>`);

                $(".cbox").change(function() {
                    if ($(this).is(":checked")) {
                        $(this).parent().css("background", "red")
                    } else {
                        $(this).parent().css("background", "green");
                    }
                });

                //Reset form
                $('#myForm').each(function() {
                    this.reset();
                });
            });
        });
    </script>
</body>

</html>